Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
EBUILDS+HOWTO: installation of Catalyst Framework 5.80029
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Mon Sep 11, 2006 1:02 pm    Post subject: Reply with quote

Thanks, I'll give it a try.

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Sep 14, 2006 5:32 pm    Post subject: Respository down Reply with quote

Hello!

I'd like to let you all know that my home ADSL is down, and so the repository is as well. I hope it'll be back online tomorrow.

Sorry for the inconvenience.

Michele.

Update 17 September: we're still offline, I hope to have everything working on Monday. I'm also working to have some mirrors set up.
Update 18 September: we're online again!
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Sep 20, 2006 8:47 am    Post subject: Reply with quote

Hello!

New version is out, with new DBIx::Class and Catalyst.

Code:

New ebuilds:
------------
Catalyst-Plugin-Session-Store-Delegate
Config-Any
Finance-Currency-Convert-WebserviceX
Catalyst-Model-LDAP
Catalyst-Plugin-Authentication-Store-LDAP
Catalyst-Plugin-FormBuilder

Updated ebuilds:
----------------
Catalyst-Runtime: 5.7002
Catalyst-Devel: 1.01
catalystframework: 5.7002
catalystframeowrk-extras: 5.7002
DBIx-Class: 0.7002
Email-MIME-Creator: 1.451
Email-MIME-Modifier: 1.440 [ 1.43 ]
Email-MIME-Encodings: 1.310 [ 1.3 ]
FormValidator-Simple: 0.18 [ 0.17 ]
Set-Object: 1.18 [ 1.17 ]
File-Copy-Recursive: 0.28
Catalyst-Plugin-ConfigLoader: 0.13 [ 0.12 ]
Module-Install: 0.64 [ 0.63 ]
Email-Simple: 1.990 [ 1.96 ]
Module-ScanDeps: 0.63 [ 0.62 ]
FormValidator-Simple: 0.17 [ 0.16 ]
PAR: 0.952 [ 0.951 ]
Catalyst-Plugin-Session: 0.12 [ 0.11 ]
Class-C3: 0.13 [ 0.12 ]
Email-Abstract: 2.131 [ 2.13 ]
Email-MIME: 1.852 [ 1.85 ]
Catalyst-Plugin-Session-State-URI: 0.06 [ 0.05 ]
Algorithm-C3: 0.05 [ 0.04 ]
Data-FormValidator: 4.40 [ 4.30 ]


Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Sun Sep 24, 2006 9:00 pm    Post subject: Reply with quote

Hello!

The SVN repository for Catalyst ebuilds has moved here:

http://code2.0beta.co.uk/catportage/svn/

This is a more stable location, so we should avoid connection problems in the future.

The old one will still be available for a while.

Michele.

IMPORTANT for LAYMAN users: since the repository location has changed, you need to remove it and then add it again:

Code:

layman -f
layman -d catalystframework
layman -a catalystframework

_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Nov 08, 2006 2:36 pm    Post subject: Reply with quote

5.7005 is out!

CHANGES:

Code:

New ebuilds
-----------
Catalyst-Plugin-CGI-Untaint
Catalyst-Controller-BindLex
Devel-Caller
Devel-LexAlias


Updated ebuilds:
----------------
catalystframework: 5.7005
catalystframework-extras: 5.7005
Catalyst-Model-File: 0.05
Catalyst-Runtime: 5.7005
Catalyst-Plugin-Session-Store-File: 0.10
Catalyst-Plugin-FormValidator-Simple: 0.12
Catalyst-View-JSON: 0.12
Test-use-ok: 0.02
Module-ScanDeps: 0.68
FormValidator-Simple: 0.19
PAR: 0.957
File-Copy-Recursive: 0.29
Catalyst-Plugin-UploadProgress: 0.03
DBIx-Class-Schema-Loader: 0.03008
Cache-FastMmap: 1.14
Catalyst-Plugin-Authorization-Roles: 0.05
Email-MIME-ContentType: 1.011
Email-Address: 1.871
Catalyst-Plugin-Session: 0.13
Log-Log4perl: 1.07
Email-MIME: 1.855
Catalyst-Plugin-Session-State-URI: 0.07
Email-Simple: 1.995
Object-Signature: 1.05
Test-MockObject: 1.07
PAR: 0.956


Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Thu Nov 09, 2006 8:39 am    Post subject: Reply with quote

Michele,

FYI

I updated my ebuilds from svn and now I have the following failed dependency:

Catalyst-Controller-BindLex-0.03 is asking for dev-perl/PadWalker.

According to the gentoo package database, there is no X86 version available for PadWalker.

:(

regards,

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu Nov 09, 2006 11:17 pm    Post subject: Reply with quote

Hello!

gerene wrote:

I updated my ebuilds from svn and now I have the following failed dependency:
Catalyst-Controller-BindLex-0.03 is asking for dev-perl/PadWalker.
According to the gentoo package database, there is no X86 version available for PadWalker.


You need to add "~amd64" for that ebuild in package.keyword even if you are on a x86 machine.

However, I'll also file a bug so that the ~x86 keyword will be added.

M.

Edit: Bugreport filled!
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Fri Nov 10, 2006 8:33 am    Post subject: Reply with quote

Thanks, that's what I did. I don't see a difference between amd64 and X86 for perl modules, but I thought there could be a good reason to mask it out...

Thanks for filing the bug report.

regards,

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Nov 13, 2006 9:31 am    Post subject: Reply with quote

Hello!

gerene wrote:
Thanks, that's what I did. I don't see a difference between amd64 and X86 for perl modules, but I thought there could be a good reason to mask it out...


~x86 has been added!

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
gerene
n00b
n00b


Joined: 18 Oct 2005
Posts: 37
Location: Belgium

PostPosted: Mon Nov 13, 2006 9:52 am    Post subject: Reply with quote

Quote:
~x86 has been added!


Nice, thanks!

Jan
_________________
Jan Gerene
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Nov 15, 2006 11:49 pm    Post subject: Reply with quote

5.7006

Code:

New ebuilds:
------------
Catalyst-Manual

Removed ebuilds:
----------------
Catalyst: deprecated
Email-Address: now in portage
Email-Abstract: now in portage
Email-Simple: now in portage

Updated ebuilds:
----------------
Catalyst: 5.7006
catalystframework: 5.7006
catalystframework-extras: 5.7006
Return-Value: 1.302
UNIVERSAL-require: 0.11
Email-Address: 1.880
PAR: 0.959
Module-ScanDeps: 0.69

_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Jan 10, 2007 11:15 pm    Post subject: Reply with quote

Time for a release...

Code:

5.7006-r1
=========

* Updates are not listed anymore in CHANGES files
* Deprecated Catalyst-Plugin-FormBuilder (~arch now)

New ebuilds:
------------
Catalyst-Session-PerUser
Hash-Merge
Catalyst-Controller-FormBuilder

Removed ebuilds:
----------------
Test-Tester (it's now in portage)
Test-Deep (it's now in portage)
Test-NoWarnings (it's now in portage)
Test-Warn (it's now in portage)
Set-Scalar (it's now in portage)


M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Zazbar
Apprentice
Apprentice


Joined: 26 Jul 2005
Posts: 279
Location: Paris Time

PostPosted: Thu Feb 08, 2007 1:04 pm    Post subject: Reply with quote

Hi all, i have a small problem ...

I just tried install the Catalyst framework on my laptop.
I updated my gentoo.
When i try to install it, i have errors :

Code:

 #emerge catalystframework
Calculating dependencies... done!
!!! Error: circular dependencies:

('ebuild', '/', 'dev-perl/Catalyst-Plugin-Authentication-Store-DBIC-0.07', 'merge') depends on
   ('ebuild', '/', 'dev-perl/Catalyst-Plugin-Authentication-0.09', 'merge') (hard)
   ('ebuild', '/', 'dev-perl/Catalyst-Runtime-5.7006', 'merge') (hard)
('ebuild', '/', 'dev-perl/Catalyst-Model-DBIC-Schema-0.18', 'merge') depends on
   ('ebuild', '/', 'dev-perl/Catalyst-Devel-1.02', 'merge') (hard)
   ('ebuild', '/', 'dev-perl/Catalyst-Runtime-5.7006', 'merge') (hard)
('ebuild', '/', 'dev-perl/catalystframework-5.7006', 'merge') depends on
   ('ebuild', '/', 'dev-perl/Task-Catalyst-1.90-r1', 'merge') (hard)
('ebuild', '/', 'dev-perl/Catalyst-Plugin-Static-Simple-0.15', 'merge') depends on
   ('ebuild', '/', 'dev-perl/Catalyst-Runtime-5.7006', 'merge') (hard)
('ebuild', '/', 'dev-perl/Catalyst-Log-Log4perl-0.4', 'merge') depends on
   ('ebuild', '/', 'dev-perl/Catalyst-Runtime-5.7006', 'merge') (hard)
('ebuild', '/', 'dev-perl/Task-Catalyst-1.90-r1', 'merge') depends on
   ('ebuild', '/', 'dev-perl/Catalyst-Plugin-Session-State-Cookie-0.06', 'merge') (hard)
   ('ebuild', '/', 'dev-perl/Test-WWW-Mechanize-Catalyst-0.37', 'merge') (hard)
   ('ebuild', '/', 'dev-perl/Catalyst-Model-DBIC-Schema-0.18', 'merge') (hard)
 .... etc ...

i tried to install by creating a portage overlay, and using Layman too. Same results...

Does anyone could help me ?

Thanks all
_________________
Mieux vaut fermer sa gueule et passer pour un con que l'ouvrir et montrer qu'on l'est. -- P. Dac - Pensées
Back to top
View user's profile Send private message
Zazbar
Apprentice
Apprentice


Joined: 26 Jul 2005
Posts: 279
Location: Paris Time

PostPosted: Thu Feb 08, 2007 2:47 pm    Post subject: Reply with quote

I solved my problem by removing the dependancy in the Catalyst-Engine-Apache-1.07.ebuild for Catalyst-Engine.
I then redo the digest and for the moment, the software is installing.

EDIT: everything went well
I can now use it perfectly !
_________________
Mieux vaut fermer sa gueule et passer pour un con que l'ouvrir et montrer qu'on l'est. -- P. Dac - Pensées
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Tue Feb 13, 2007 3:17 pm    Post subject: Reply with quote

Hello Zazbar!

Thank you for point out this circular dependency problem, I believed I now fixed the C::E::Apache ebuild.

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Mon Mar 19, 2007 3:33 pm    Post subject: Reply with quote

Hello!

New packaged release. Even though probably most folks are using the often-updated SVN, there's a new Cat release so we package. ;-)

CHANGES (besides a ton of module updates):

Code:

5.7007
======

New ebuilds:
------------
String-MkPasswd (useful!)
DBIx-Class-QueryLog
Sort-Key
Template-Plugin-DtFormatter
Template-Plugin-Textile2
Text-Textile
Catalyst-Plugin-Compress-Zlib
Jemplate
Template-Provider-DBIC

Removed ebuilds:
---------------
Module-ScanDeps (nothing seems to depend on it anymore)


M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Llarian
n00b
n00b


Joined: 13 Mar 2004
Posts: 15

PostPosted: Tue Apr 10, 2007 9:57 pm    Post subject: Reply with quote

Can you add C::P::Log::Dispatch?

Thanks,
Dylan
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Apr 11, 2007 3:55 pm    Post subject: Reply with quote

Llarian wrote:
Can you add C::P::Log::Dispatch?

Thanks,
Dylan


OK, it's in SVN now!

Michele.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Smoothhound
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2003
Posts: 149

PostPosted: Wed Apr 11, 2007 4:14 pm    Post subject: Reply with quote

Hi,

I get this error when upgrading Module-Install, I first got it a couple of weeks ago when 0.65 entered the tree, I masked it in the hope that it would sort itself out but still is broken, any ideas? I can supply more diagnostics on request.

Code:
Calculating world dependencies... done!
[ebuild     U ] dev-perl/Module-Install-0.65 [0.64] USE="-include-full -module-build -par" 0 kB [2]

Total: 1 package (1 upgrade), Size of downloads: 0 kB
Portage overlays:
 [1] /usr/local/portage
 [2] /usr/portage/local/layman/catalystframework
 [3] /usr/portage/local/layman/emacs
tatties ~ # emerge -uND world
Calculating world dependencies... done!

>>> Emerging (1 of 1) dev-perl/Module-Install-0.65 to /
 * Module-Install-0.65.tar.gz MD5 ;-) ...                                                                        [ ok ]
 * Module-Install-0.65.tar.gz RMD160 ;-) ...                                                                     [ ok ]
 * Module-Install-0.65.tar.gz SHA1 ;-) ...                                                                       [ ok ]
 * Module-Install-0.65.tar.gz SHA256 ;-) ...                                                                     [ ok ]
 * Module-Install-0.65.tar.gz size ;-) ...                                                                       [ ok ]
 * checking ebuild checksums ;-) ...                                                                             [ ok ]
 * checking auxfile checksums ;-) ...                                                                            [ ok ]
 * checking miscfile checksums ;-) ...                                                                           [ ok ]
 * checking Module-Install-0.65.tar.gz ;-) ...                                                                   [ ok ]
>>> Unpacking source...
>>> Unpacking Module-Install-0.65.tar.gz to /var/tmp/portage/dev-perl/Module-Install-0.65/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/dev-perl/Module-Install-0.65/work/Module-Install-0.65 ...
/var/tmp/portage/dev-perl/Module-Install-0.65/work/Module-Install-0.65
 * Using ExtUtils::MakeMaker
Checking if your kit is complete...
Looks good
Module::CoreList defines neither package nor VERSION--version check failed at (eval 36) line 405, <DATA> line 471.

!!! ERROR: dev-perl/Module-Install-0.65 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 3334:   Called src_compile
  Module-Install-0.65.ebuild, line 31:   Called perl-module_src_compile
  perl-module.eclass, line 136:   Called perl-module_src_prep
  perl-module.eclass, line 125:   Called die

!!! Unable to build! (are you using USE="build"?)
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-perl/Module-Install-0.65/temp/build.log'.

!!! This ebuild is from an overlay: '/usr/portage/local/layman/catalystframework'


Thanks,

Scott.

P.S. LordArthas: Thanks for maintaining this extremely useful overlay :D
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Wed Apr 11, 2007 9:40 pm    Post subject: Reply with quote

Hello!

Smoothhound wrote:

I get this error when upgrading Module-Install, I first got it a couple of weeks ago when 0.65 entered the tree, I masked it in the hope that it would sort itself out but still is broken, any ideas? I can supply more diagnostics on request.


I just released a new version of the Module-Install ebuild, which should now correctly pull in Module-CoreList and Module-ScanDeps. Let me know if this works!

Thanks,
M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Smoothhound
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2003
Posts: 149

PostPosted: Thu Apr 12, 2007 9:29 am    Post subject: Reply with quote

LordArthas wrote:
Hello!

Smoothhound wrote:

I get this error when upgrading Module-Install, I first got it a couple of weeks ago when 0.65 entered the tree, I masked it in the hope that it would sort itself out but still is broken, any ideas? I can supply more diagnostics on request.


I just released a new version of the Module-Install ebuild, which should now correctly pull in Module-CoreList and Module-ScanDeps. Let me know if this works!

Thanks,
M.


Perfect! Thanks!

Scott
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Thu May 24, 2007 8:18 pm    Post subject: Reply with quote

Hello!

I'm planning to drop the support of packaged ebuilds in favour of the SVN version only, since layman makes it so easy to use.

Any objection? ;-)

M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Smoothhound
Tux's lil' helper
Tux's lil' helper


Joined: 23 Sep 2003
Posts: 149

PostPosted: Thu Jul 05, 2007 5:01 pm    Post subject: Reply with quote

Hello LordArthas,

Please could you put a repo_name file in profiles to stop paludis complaining :)

See here for an explanation.

Many thanks,

Scott.
Back to top
View user's profile Send private message
steveL
Advocate
Advocate


Joined: 13 Sep 2006
Posts: 3036
Location: The Peanut Gallery

PostPosted: Tue Jul 10, 2007 11:08 am    Post subject: Reply with quote

Smoothhound wrote:
Please could you put a repo_name file in profiles to stop paludis complaining :)

I think this might apply to pkgcore users too, as I don't have paludis installed, and I get the same warning. (Even though I haven't actually run pmerge yet.) It may well just be portage enforcing glep 42:
"Because of a requirement forced into GLEP 42 by the peanut gallery, repositories are required to be uniquely identifiable."
Hear, hear! I for one don't want any namespace collision thanks very much. Is an email address/url really that tough a requirement?
Back to top
View user's profile Send private message
LordArthas
Guru
Guru


Joined: 01 Nov 2004
Posts: 493
Location: Maniago, Friûl, Italia

PostPosted: Fri Aug 10, 2007 10:37 am    Post subject: Reply with quote

Hello!

I added the _repo_name_ file, see if it works!

Thanks,
M.
_________________
Michele Beltrame
Italian Perl Workshop 2011
http://www.perl.it/workshop/
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 6 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum